[SciPy-user] linalg.expm() Illegal Instruction Error?

David Cournapeau cournape@gmail....
Sun Jun 14 00:02:07 CDT 2009


On Sun, Jun 14, 2009 at 1:46 PM, Dylan Gorman<dgorman@berkeley.edu> wrote:
> Thanks, Robert.
>
> The situation is a little tricky. I installed numpy 1.3.0 from source
> from, I guess, this sourceforge link: http://sourceforge.net/project/downloading.php?group_id=1369&filename=numpy-1.3.0.tar.gz&a=58155458
>
> I should perhaps elaborate. I have a small cluster, on which I have
> non-root access. I've installed python 2.5.2, numpy 1.3.0, and scipy
> 0.7rc1 to ~. ATLAS is already configured on the system, so prior to
> installing these packages I set
> export ATLAS=/usr/local/atlas
> in ~/.bash_profile
>
> I'm just aiming to run non-parallel batch jobs on each node of the
> cluster. The code works quite happily on a set of newer nodes in this
> cluster, but on the older ones we are getting this Illegal instruction
> error.

The "optimal" solution is to build atlas for each node - this way, you
will get an optimized ATLAS for each node. That's a maintenance
nightmare.

The other solution is to use ATLAS optimized on the machine with the
lowest common denominator (say a machine with SSE only), and deploy
this everywhere else.

The easiest is to avoid atlas and use pure BLAS/LAPACK,

David


More information about the SciPy-user mailing list